Skip to main content

kaia_uninstallFilter

POST

Removes a filter by filter ID. Enter the filter ID created via kaia_newFilter. Returns false if the filter has already been removed or does not exist.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
param[0]
filterIdstringrequired
Filter ID is a unique identifier returned when creating a filter. It is expressed as a hexadecimal string.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "kaia_uninstallFilter",
"params": [
"0xaf35d60b70eb3b54018456a0d365ea49"
]
}'